import 'package:augnito_flutter_sdk/config/augnito_api_server.dart';

import '../support/augnito_source.dart';

class AugnitoConfig {
  static const _defaultContentType =
      'audio/x-raw,+layout=(string)interleaved,+rate=(int)16000,+format=(string)S16LE,+channels=(int)1';

  static const _defaultNoiseCt = "1";

  AugnitoAPIServer server;
  String accountCode;
  String accessKey;
  String lmid;
  String userTag;
  String? sourceApp;
  String? loginToken;
  String? otherInfo;
  String noiseCt;
  String contentType;
  int source;
  bool enableLogs = false;

  AugnitoConfig(
      this.server, this.accountCode, this.accessKey, this.lmid, this.userTag,
      {this.sourceApp,
      this.loginToken,
      this.otherInfo,
      this.noiseCt = _defaultNoiseCt,
      this.contentType = _defaultContentType,
      this.source = AugnitoSource.mobileApp,
      this.enableLogs = false});
}
