class MetaEventResponse {
  String type;
  String value;

  MetaEventResponse.fromJson(Map<String, dynamic> json)
      : type = json.containsKey("Type")
            ? json["Type"] as String
            : json.containsKey("type")
                ? json["type"] as String
                : "",
        value = json.containsKey("Value")
            ? json['Value'] as String
            : json.containsKey("value")
                ? json['value'] as String
                : "";

  bool isNotEmpty() {
    return type.isNotEmpty && value.isNotEmpty;
  }
}
