import '../config/augnito_api_server.dart';

abstract class DomainUtils {
  /// Obtains the corresponding domain based on the selected APIServer
  static String getDomainName(AugnitoAPIServer server) {
    switch (server) {
      case AugnitoAPIServer.india:
        return 'apis.augnito.ai';
      case AugnitoAPIServer.us:
        return 'us.apis.augnito.ai';
      case AugnitoAPIServer.uk:
        return 'uk.apis.augnito.ai';
      default:
        throw ArgumentError("invalid server", "server");
    }
  }
}
