# augnito_flutter_sdk_example

Demonstrates how to use the augnito_flutter_sdk plugin.

## Supported OSs

- Android
- iOS

## Environment vars

In order to correctly run the sample create a .env file based on .env.example
and fill in the provided auth values.

## Requirements

The app requires microphone recording permissions in order to work. **These are
already present on the example**.

### Android

Add the following line to AndroidManifest.xml

```xml
<uses-permission android:name="android.permission.RECORD_AUDIO"/>
```

### iOS

Add the following to Info.plist:

```xml
<key>NSMicrophoneUsageDescription</key>
<string>Microphone access required</string>
```
