import 'package:flutter/material.dart';

class CommandListPage extends StatelessWidget {
  const CommandListPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: const Text("Command List")),
      body: SingleChildScrollView(
          child: Padding(
        padding: const EdgeInsets.all(16),
        child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: const [
              Text(
                "Augnito is voice driven with naturally spoken commands. Here are some examples to get you started.",
                style: TextStyle(
                    fontWeight: FontWeight.bold, fontStyle: FontStyle.italic),
              ),
              SizedBox(height: 32),
              Text(
                "DICTATE",
                style: TextStyle(fontWeight: FontWeight.bold),
              ),
              SizedBox(height: 8),
              Text("Full stop"),
              SizedBox(height: 8),
              Text("New line"),
              SizedBox(height: 16),
              Text(
                "EDIT and FORMAT",
                style: TextStyle(fontWeight: FontWeight.bold),
              ),
              SizedBox(height: 8),
              Text("Delete last (n) words"),
              SizedBox(height: 8),
              Text("Delete last (n) lines"),
              SizedBox(height: 16),
              Text(
                "CONTROL NAVIGATION",
                style: TextStyle(fontWeight: FontWeight.bold),
              ),
              SizedBox(height: 8),
              Text("Go to patientId"),
              SizedBox(height: 8),
              Text("Go to Diagnosis"),
              SizedBox(height: 8),
              Text("Go to Medication"),
              SizedBox(height: 8),
              Text("Go to History"),
              SizedBox(height: 16),
              Text(
                "CONTROL",
                style: TextStyle(fontWeight: FontWeight.bold),
              ),
              SizedBox(height: 8),
              Text("Stop mic"),
            ]),
      )),
    );
  }
}
