import 'meta_event_response.dart';
import 'result_response.dart';

class AugnitoServerResponse {
  String sessionCode;
  int status;
  String type;

  MetaEventResponse? metaEventResponse;
  ResultResponse? resultResponse;

  static const typeMeta = "meta";

  AugnitoServerResponse.fromJson(Map<String, dynamic> json)
      : status = json.containsKey("Status")
            ? json['Status'] as int
            : json.containsKey("status")
                ? json["status"] as int
                : -1,
        sessionCode = json.containsKey("SessionCode")
            ? json['SessionCode'] as String
            : "",
        type = json.containsKey("Type")
            ? json["Type"] as String
            : json.containsKey("type")
                ? json["type"] as String
                : "",
        metaEventResponse = json.containsKey("Event")
            ? MetaEventResponse.fromJson(json["Event"] ?? {})
            : null,
        resultResponse = json.containsKey("Result")
            ? ResultResponse.fromJson(json["Result"] ?? {})
            : null;
}
