class ResultResponse {
  bool isFinal;
  String transcript;
  bool isCommand;
  String action;

  ResultResponse.fromJson(Map<String, dynamic> json)
      : isFinal = json.containsKey("Final")
            ? json["Final"] as bool
            : json.containsKey("final")
                ? json["final"] as bool
                : false,
        transcript = json.containsKey("Transcript")
            ? json["Transcript"] as String
            : json.containsKey("transcript")
                ? json["transcript"]
                : "",
        isCommand = json.containsKey("IsCommand")
            ? json["IsCommand"] as bool
            : json.containsKey("isCommand")
                ? json["isCommand"] as bool
                : false,
        action = json.containsKey("Action")
            ? json["Action"] as String
            : json.containsKey("action")
                ? json["action"] as String
                : "";
}
