enum DictationErrorType {
  noNetworkConnection,
  lowBandwidth,
  serviceDown,
  noDictationStopMic,
  invalidAuthCredentials,
  socketDisconnect,
  socketConnectionError,
  audioRecorder,
  audioRecorderCouldNotInitializePermission,
  audioRecorderCouldNotInitializeGeneric,
  unknown
}

class DictationError {
  DictationErrorType errorType;
  String errorMessage;
  DictationError(this.errorType, this.errorMessage);
}
