/// General use logger
class AugnitoPrintLogger {
  static AugnitoPrintLogger? _instance;
  AugnitoPrintLogger._internal();

  factory AugnitoPrintLogger() {
    return _instance ?? AugnitoPrintLogger._internal();
  }

  /// Logs a message using the [message] toString() method plus extra info
  /// such as the object generating the output.
  log(dynamic logger, dynamic message) {
    // ignore: avoid_print
    print("${DateTime.now()} - ${logger.runtimeType}: ${message.toString()}");
  }
}
